Name:          jboss-packaging-maven-plugin
Version:       2.2
Release:       %mkrel 1
Summary:       JBoss Packaging Maven Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/jboss-packaging-maven-plugin/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/jboss-packaging-maven-plugin/2.2/jboss-packaging-maven-plugin-2.2-source-release.zip

BuildRequires: apache-commons-cli
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: classworlds
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jsch
BuildRequires: jtidy
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-archiver
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shared-filtering
BuildRequires: maven-shared-invoker
BuildRequires: maven-surefire-plugin
BuildRequires: maven-wagon
BuildRequires: mojo-parent
BuildRequires: plexus-archiver
BuildRequires: plexus-build-api
BuildRequires: plexus-container-default
BuildRequires: plexus-interactivity
BuildRequires: plexus-interpolation
BuildRequires: plexus-io
BuildRequires: plexus-utils
BuildRequires: xml-commons-apis
BuildRequires: maven-plugin-cobertura

Requires:      java
Requires:      jpackage-utils
Requires:      jsch
Requires:      jtidy
Requires:      maven
Requires:      maven-wagon
Requires:      xml-commons-apis

BuildArch:     noarch

%description
Maven plugin for generating various JBoss deployable archive files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
JBoss Packaging Maven Plugin.

This package contains javadoc for %{name}

%prep
%setup -q -n jboss-packaging-maven-plugin-%{version}

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.beanshell \
  -DartifactId=bsh \
  -Dversion=2.0b4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsh2/bsh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.enforcer \
  -DartifactId=enforcer-rules \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/enforcer-rules) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL
  
mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:aggregate
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jboss-packaging-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/jboss-packaging-maven-plugin.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.codehaus.mojo jboss-packaging-maven-plugin %{version} JPP jboss-packaging-maven-plugin
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jboss-packaging-maven-plugin.pom

mkdir -p %{buildroot}%{_javadocdir}/jboss-packaging-maven-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jboss-packaging-maven-plugin

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/jboss-packaging-maven-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/jboss-packaging-maven-plugin



%changelog
* Thu Aug 11 2011 dmorgan <dmorgan> 2.2-1.mga2
+ Revision: 132709
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package jboss-packaging-maven-plugin


* Sun Jul 10 2011 gil <gil> 2.2-0.%%mkrel
- initial rpm
